<!DOCTYPE html>
<html>
  <head>
    <title>Lunch Bot</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all' %>
    <%= javascript_include_tag 'application' %>
  </head>

  <body>
    <div class="ui menu">
      <div class="ui container">
        <%= link_to 'Lunch Bot', root_path, class: 'header item' %>

        <% if current_user %>
          <%=
            link_to(
              'Restaurants',
              restaurants_path,
              class: "#{'active' if params[:controller] == 'restaurants'} item"
            )
          %>
          <%=
            link_to(
              'Events',
              events_path,
              class: "#{'active' if params[:controller] == 'events'} item"
            )
          %>
          <div class="right menu">
            <div class="item"><%= current_user.email %></div>
            <%= link_to 'Log Out', destroy_user_session_path, method: :delete, class: 'item' %>
          </div>
        <% end %>
      </div>
    </div>

    <div class="ui main container">
      <% flash.each do |key, value| %>
        <% next if value.blank? || key == 'timedout' %>

        <div class="ui <%= key %> message">
          <%= value %>
        </div>
      <% end %>

      <%= yield %>
    </div>
  </body>
</html>
